Index: code/trunk/src/core/CommandLine.cc
===================================================================
--- code/trunk/src/core/CommandLine.cc	(revision 2104)
+++ code/trunk/src/core/CommandLine.cc	(revision 2105)
@@ -314,9 +314,4 @@
             file.close();
         }
-        else
-        {
-            COUT(2) << "Warning: Could not find " << filename
-                    << " to get additional command line arguments." << std::endl;
-        }
 
         try
Index: code/trunk/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuest.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/AddQuest.cc	(revision 2105)
@@ -27,6 +27,8 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "AddQuest.h"
+
 #include <string>
-
 #include "core/CoreIncludes.h"
 #include "util/Exception.h"
@@ -34,5 +36,4 @@
 #include "QuestManager.h"
 #include "Quest.h"
-#include "AddQuest.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2105)
@@ -27,8 +27,10 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "AddQuestHint.h"
+
 #include "core/CoreIncludes.h"
 #include "util/Exception.h"
 
-#include "AddQuestHint.h"
 #include "QuestManager.h"
 #include "QuestItem.h"
Index: code/trunk/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 2105)
@@ -27,7 +27,9 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "AddReward.h"
+
 #include "core/CoreIncludes.h"
 
-#include "AddReward.h"
 #include "Rewardable.h"
 
Index: code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2105)
@@ -27,8 +27,10 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "ChangeQuestStatus.h"
+
 #include "core/CoreIncludes.h"
 
 #include "QuestItem.h"
-#include "ChangeQuestStatus.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2105)
@@ -27,4 +27,7 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "CompleteQuest.h"
+
 #include "core/CoreIncludes.h"
 #include "util/Exception.h"
@@ -32,5 +35,4 @@
 #include "QuestManager.h"
 #include "Quest.h"
-#include "CompleteQuest.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/FailQuest.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/FailQuest.cc	(revision 2105)
@@ -27,4 +27,7 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "FailQuest.h"
+
 #include "core/CoreIncludes.h"
 #include "util/Exception.h"
@@ -32,5 +35,4 @@
 #include "QuestManager.h"
 #include "Quest.h"
-#include "FailQuest.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2105)
@@ -27,8 +27,9 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "GlobalQuest.h"
+
 #include "core/CoreIncludes.h"
 #include "util/Exception.h"
-
-#include "GlobalQuest.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.cc	(revision 2105)
@@ -27,8 +27,9 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "LocalQuest.h"
+
 #include "core/CoreIncludes.h"
 #include "util/Exception.h"
-
-#include "LocalQuest.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 2105)
@@ -27,7 +27,9 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "Quest.h"
+
 #include "core/CoreIncludes.h"
 
-#include "Quest.h"
 #include "QuestManager.h"
 #include "QuestDescription.h"
Index: code/trunk/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestDescription.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/QuestDescription.cc	(revision 2105)
@@ -27,7 +27,8 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "QuestDescription.h"
+
 #include "core/CoreIncludes.h"
-
-#include "QuestDescription.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.cc	(revision 2105)
@@ -27,7 +27,8 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "QuestEffect.h"
+
 #include "core/CoreIncludes.h"
-
-#include "QuestEffect.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.cc	(revision 2105)
@@ -27,9 +27,11 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "QuestHint.h"
+
 #include "core/CoreIncludes.h"
 #include "util/Exception.h"
 
 #include "Quest.h"
-#include "QuestHint.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 2105)
@@ -27,7 +27,9 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "QuestItem.h"
+
 #include "core/CoreIncludes.h"
 
-#include "QuestItem.h"
 #include "QuestDescription.h"
 
Index: code/trunk/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 2105)
@@ -27,8 +27,10 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "QuestManager.h"
+
 #include "core/CoreIncludes.h"
+
 #include "util/Exception.h"
-
-#include "QuestManager.h"
 #include "Quest.h"
 #include "QuestHint.h"
Index: code/trunk/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/Rewardable.cc	(revision 2104)
+++ code/trunk/src/orxonox/objects/quest/Rewardable.cc	(revision 2105)
@@ -27,7 +27,8 @@
  */
 
+#include "OrxonoxStableHeaders.h"
+#include "Rewardable.h"
+
 #include "core/CoreIncludes.h"
-
-#include "Rewardable.h"
 
 namespace orxonox {
Index: code/trunk/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 2104)
+++ code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 2105)
@@ -233,4 +233,8 @@
 					>
 				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\WeaponSystem.cc"
+					>
+				</File>
 				<Filter
 					Name="worldentities"
@@ -378,4 +382,220 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\controllers\HumanController.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="weaponSystem"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\Munition.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\Weapon.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\WeaponSet.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\WeaponSlot.cc"
+						>
+					</File>
+					<Filter
+						Name="munitions"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\munitions\LaserGunMunition.cc"
+							>
+							<FileConfiguration
+								Name="Debug|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="weapons"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\LaserGun.cc"
+							>
+							<FileConfiguration
+								Name="Debug|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\Missile.cc"
+							>
+							<FileConfiguration
+								Name="Debug|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="projectiles"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\BillboardProjectile.cc"
+							>
+							<FileConfiguration
+								Name="Debug|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\ParticleProjectile.cc"
+							>
+							<FileConfiguration
+								Name="Debug|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\Projectile.cc"
+							>
+							<FileConfiguration
+								Name="Debug|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								ExcludedFromBuild="true"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+				</Filter>
+				<Filter
+					Name="quest"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\AddQuest.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\AddQuestHint.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\AddReward.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\ChangeQuestStatus.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\CompleteQuest.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\FailQuest.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\GlobalQuest.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\LocalQuest.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\Quest.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestDescription.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestEffect.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestHint.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestItem.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestManager.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\Rewardable.cc"
 						>
 					</File>
@@ -653,4 +873,8 @@
 					>
 				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\WeaponSystem.h"
+					>
+				</File>
 				<Filter
 					Name="worldentities"
@@ -780,4 +1004,124 @@
 						>
 					</File>
+				</Filter>
+				<Filter
+					Name="quest"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\AddQuest.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\AddQuestHint.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\AddReward.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\ChangeQuestStatus.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\CompleteQuest.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\FailQuest.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\GlobalQuest.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\LocalQuest.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\Quest.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestDescription.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestEffect.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestHint.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestItem.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\QuestManager.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\quest\Rewardable.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="weaponSystem"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\Munition.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\Weapon.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\WeaponSet.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\weaponSystem\WeaponSlot.h"
+						>
+					</File>
+					<Filter
+						Name="weapons"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\LaserGun.h"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\weapons\Missile.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="munitions"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\munitions\LaserGunMunition.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="projectiles"
+						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\BillboardProjectile.h"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\ParticleProjectile.h"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\weaponSystem\projectiles\Projectile.h"
+							>
+						</File>
+					</Filter>
 				</Filter>
 			</Filter>
